import random
import parameters as p

#  for apiaries of other owners

def paramGeneratorForOwner(ownerCount, minHives, maxHives, maxCoord):
    xCoord = []
    yCoord = []
    hCount = []
    # --- random other owner parameters
    for i in range(ownerCount):
        countHivesConst = random.randint(minHives, maxHives)  # from 15 to 70
        coordXHiveConst = random.randint(0, maxCoord)  # from 0 to 100
        coordYHiveConst = random.randint(0, maxCoord)  # from 0 to 100
        xCoord.append(coordXHiveConst*p.step)
        yCoord.append(coordYHiveConst*p.step)
        hCount.append(countHivesConst)
    return hCount, xCoord, yCoord


# ---- pesticides coefficients random generation
def pesticidesGeneration(countOfPesticidesLevels):
    coeficientPesticidesArray = []

    # countOfPesticidesLevels = 2
    for i in range(0, len(p.polygonArray)):
        a = round(random.randint(-10, countOfPesticidesLevels) / countOfPesticidesLevels, 1)
        if a <= 0:
            a = 0
        coeficientPesticidesArray.append(-a)
    return coeficientPesticidesArray


# ----- random fields coefficients generation
def FieldCoefRandomGenerate(polygonArray, countOfTypes, startValue, coef):

    coeficientArray = []    # medoproduktivnostj / 100

    for i in range(0, len(polygonArray)):
      coeficientArray.append(round((random.randint(startValue, countOfTypes)) * coef, 1))
    return coeficientArray